%define name libvisual-plugins
%define version 0.4.0
%define release %mkrel 5

Summary: Visualisation plugins for applications based on libvisual
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:	 %name-buffer-overflow.patch
License: GPL
Group: System/Libraries
Url: http://localhost.nl/~synap/libvisual/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: libvisual-nebulus
Obsoletes: libvisual-gforce
Provides: libvisual-nebulus
Provides: libvisual-gforce
BuildRequires: libvisual-devel >= %version
BuildRequires: esound-devel
BuildRequires: bison
BuildRequires: chrpath
%if %mdkversion > 200600
BuildRequires:	X11-devel
%else
BuildRequires:	XFree86-devel
%endif

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

This package contains the libvisual example plugins.
%prep
%setup -q
%patch0 -p0

%build
%ifarch %ix86
export CFLAGS="-mmmx %optflags"
%endif
%configure2_5x
%make

%install
rm -rf %buildroot

%makeinstall_std
%find_lang %name-0.4
%clean
rm -rf %buildroot

%files -f %name-0.4.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%_libdir/libvisual*
%_datadir/%{name}*





%changelog

* Fri Mar 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.0-5mdv2007.1
+ Revision: 144788
- Patch0: add patch to fix array overrun (from openSuSE)

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdv2007.1
+ Revision: 108199
- use the right macros

* Sun Aug 06 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdv2007.0
+ Revision: 53187
- remove debug files from the package
- fix buildrequires

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - import libvisual-plugins-0.2.0-4mdk

* Thu Feb 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- enable mmx to make it build
- disable the infinite plugin
- use mkrel

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-3mdk
- fix buildrequires

* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- remove rpaths
- obsoletes libvisual-nebulus and libvisual-gforce

* Thu Feb 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Sat Oct 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.7-1mdk
- New release 0.1.7

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- requires new libvisual
- New release 0.1.6

* Fri Jul 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- initial package

